Latex : message d'erreur

Juunii

Membre junior
18 Mai 2012
81
1
Bonjour,

Après la mise à jour de MacOS (j'étais sous Lion), apparemment TexLive ne convient plus.

En effet, lorsque je compile un document, ça sort un message d'erreur indiquant que le chemin d'accès est erroné, c'est-à-dire que pdfLatex n'est pas "trouvé"...

J'ai dû désinstaller et réinstaller MacTex que j'avais téléchargé sur un disque dur externe. Le problème persiste.

Une solution ? Mettre à jour MacTex ?

Merci.
 

bompi

El Moderador
Modérateur
Club MacG
12 Février 2004
41 944
3 181
Quelle version de macOS as-tu actuellement ?
Quelle version de MacTeX as-tu installée ? Y a-t-il eu des messages d'erreur ?

Note que je n'ai pas mon Mac sous la main, ce qui limitera mes investigations mais ce soir je pourrais l'utiliser (avec Mavericks ou Sierra).

(je ne suis pas certain que nous soyons nombreux à utiliser LaTeX, d'où l'absence de réponses).
 

Juunii

Membre junior
18 Mai 2012
81
1
Bonjour,

Actuellement, je suis sous MacOS Sierra version 10.12.3.

J'ai MacTex 2011 et le problème persiste..

J'imagine qu'il faut mettre à jour MacTex pour avoir celui de 2017 et non de 2011...
 

Fichiers joints

  • Capture d’écran 2017-06-26 à 15.31.35.png
    Capture d’écran 2017-06-26 à 15.31.35.png
    41,8 KB · Affichages: 54

Juunii

Membre junior
18 Mai 2012
81
1
J'ai mis à jour le logiciel mais le problème n'a pas été résolu...
 

Fichiers joints

  • Capture d’écran 2017-06-26 à 15.43.52.png
    Capture d’écran 2017-06-26 à 15.43.52.png
    38,9 KB · Affichages: 64

bompi

El Moderador
Modérateur
Club MacG
12 Février 2004
41 944
3 181
Y a-t-il une raison particulière pour ne pas avoir une version plus récente de MacTeX (2015 ou 2016 par exemple) ?
Parce que dans ce cas, il me paraît plutôt bon de prendre la version 2016, par exemple.

Quoi qu'il en soit le problème n'est pas en soi insurmontable ;)
Comme le message l'indique, ton application (TeXMaker ?) ne trouve pas pdflatex parce que le chemin des applications n'est pas bien défini.

Je pense que c'est lié au passage à Sierra (surtout depuis Lion) qui vient avec des restrictions de sécurité supplémentaires.
MacTex-2016 a été adapté pour prendre en compte cette nouvelle donne. Donc je te conseillerais de l'installer, suaf bien sûr si tu as des contraintes qui t'en empêche.
Auquel cas, quelques manipulations dans Terminal devraient régler ton problème.
 

bompi

El Moderador
Modérateur
Club MacG
12 Février 2004
41 944
3 181
C'est bizarre : MacTex 2017 est bel et bien prévu pour fonctionner sous Sierra.
As-tu redémarré depuis l'installation ou, au moins, fermé puis rouvert ta session ?
 

Juunii

Membre junior
18 Mai 2012
81
1
Bonjour, merci pour vos réponses.

En effet il fallait tout mettre à jour. J'ai dû aller chez un ami pour télécharger MacTex 2017. Tout fonctionne bien maintenant.

Merci.

Et désolé de vous avoir importunés. j'étais surpris.

;)
Bonne journée.